Loading...
Searching...
No Matches
cfg_value_t Union Reference

Data structure holding the value of a fundamental option value. More...

`#include <confuse.h>`

## Data Fields

long int | number
| integer value
int8_t | i8
| 8-bit signed integer value
int16_t | i16
| 16-bit signed integer value
int32_t | i32
| 32-bit signed integer value
int64_t | i64
| 64-bit signed integer value
uint8_t | u8
| 8-bit unsigned integer value
uint16_t | u16
| 16-bit unsigned integer value
uint32_t | u32
| 32-bit unsigned integer value
uint64_t | u64
| 64-bit unsigned integer value
double | fpnumber
| floating point value
cfg_bool_t | boolean
| boolean value
char * | string
| string value
cfg_t * | section
| section value
void * | ptr
| user-defined value

## Detailed Description

Data structure holding the value of a fundamental option value.